Bug 839158 (CVE-2012-3867)

Summary: CVE-2012-3867 puppet: insufficient validation of agent names in CN of SSL certificate requests
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bkearney, katello-internal, k.georgiou, ktdreyer, mmccune, morazi, mrg-program-list, rmillner, tkramer, tmz, vanmeeuwen+fedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120710,reported=20120706,source=upstream,cvss2=4.0/AV:N/AC:H/Au:N/C:P/I:P/A:N,fedora-all/puppet=affected,epel-all/puppet=affected,mrg-1/puppet=wontfix,openshift-1/puppet=affected,cloudformscommon-1/puppet=affected
Fixed In Version: puppet 2.6.17, puppet 2.7.18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-12-11 04:31:37 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 839168, 839171, 839176    
Bug Blocks: 767033, 836071, 839173    

Description Kurt Seifried 2012-07-11 02:34:23 EDT
From puppet labs: CVE-2012-3867 (Insufficient input validation)

A bug in Puppet 2.6.16 and 2.7.17 uses insufficient input validation for agent
certificate names.

An attacker can trick the administrator into signing an attacker’s certificate 
rather than the intended one by constructing specially crafted certificate 
requests containing specific ANSI control sequences. It is possible to use the 
sequences to rewrite the order of text displayed to an administrator such that 
display of an invalid certificate and valid certificate are transposed. If the 
administrator signs the attacker’s certificate, the attacker can then 
man-in-the-middle the deployment’s agent nodes.

Resolved in Puppet 2.6.17, 2.7.18
Comment 1 Kurt Seifried 2012-07-11 02:43:13 EDT
Created puppet tracking bugs for this issue

Affects: fedora-17 [bug 839168]
Comment 2 Kurt Seifried 2012-07-11 02:47:38 EDT
Created puppet tracking bugs for this issue

Affects: fedora-16 [bug 839171]
Comment 4 Kurt Seifried 2012-07-11 22:37:16 EDT
External Reference:

http://puppetlabs.com/security/cve/cve-2012-3867/
Comment 6 Fedora Update System 2012-07-27 21:17:29 EDT
puppet-2.6.17-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-07-27 21:20:18 EDT
puppet-2.7.18-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-08-05 02:37:58 EDT
puppet-2.6.17-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-05 02:38:54 EDT
puppet-2.6.17-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Murray McAllister 2012-12-03 01:09:55 EST
Acknowledgements:

Red Hat would like to thank Puppet Labs for reporting this issue.
Comment 11 errata-xmlrpc 2012-12-04 14:31:43 EST
This issue has been addressed in following products:

  CloudForms for RHEL 6

Via RHSA-2012:1542 https://rhn.redhat.com/errata/RHSA-2012-1542.html